@echo off
cls

echo.Please have 1 blank, formatted, high density, 5" or 3" disk ready before
echo.doing the extraction process.  You will also need to have PKUNZIP in the same
echo.directory as the ZIPed file, or in a directory listed in your PATH.
echo.
echo.You will also want to have labeled your disk as directed in the README file.
echo.
echo.If you do not have the above conditions met, please press  CTRL-C  and
echo.answer Y the the "Abort batch file?" question to abort, or you may
pause

cls
echo.Please insert the disk into Drive A: that is labeled:
echo.
echo.     AST Premium Utilities v1.09
echo.
echo.          AST Part Number 910415-003 A (5")
echo.          AST Part Number 910415-033 A (3")
echo.
pause
pkunzip -d -$ PUTIL.ZIP a:\
if ERRORLEVEL 51 goto ERR51
if ERRORLEVEL 50 goto ERR50
if ERRORLEVEL 10 goto ERR10
if ERRORLEVEL  9 goto ERR9
if ERRORLEVEL  4 goto ERR4
if ERRORLEVEL  2 goto ERR2
if ERRORLEVEL  1 goto ERR1

goto END

:ERR51
echo.
echo.Unexpected EOF in ZIP file
echo.
echo.You will need to download the file again.
goto EXIT

:ERR50
echo.
echo.Disk Full
echo.
echo.Start over again from scratch, you may have forget to put in the right disk.
goto EXIT

:ERR10
echo.
echo.No files found to extract/view etc
echo.
echo.The ZIP files are not in the same directory as the EXTRACT batch file.
goto EXIT

:ERR9
echo.
echo.Bad or illegal parameters specified
echo.
echo.You will need to download the file again, or you have an old version of PKUNZIP.
goto EXIT

:ERR4
echo.
echo.File not found (i.e. No ZIP files found)
echo.
echo.The ZIP files are not in the same directory as the EXTRACT batch file.
goto EXIT

:ERR2
echo.
echo.Error in ZIP file
echo.
echo.You will need to download the file again.
goto EXIT

:ERR1
echo.
echo.Warning error (such as failed CRC check).
echo.
echo.You will need to download the file again.
goto EXIT

:EXIT
echo.   
goto END

:END
echo.
